# Administration Reference

## prdb_check

Purpose

Checks the integrity of the Protection Database

Synopsis

    prdb_check -database <ptdb_file>  [-uheader]  [-pheader]  [-entries]
               [-verbose]  [-help]

    prdb_check -d <ptdb_file>  [-u]  [-p]  [-e]  [-v]  [-h]

Description

The prdb_check command checks the integrity of the Protection Database, reporting any errors or corruption it finds. If there are problems, do not issue any pts commands until the database is repaired.

Cautions

The results can be unpredictable if the Protection Server makes changes to the Protection Database while this command is running. Use the bos shutdown command to shutdown the local ptserver process before running this command, or before creating a second copy of the prdb.DB0 file (with a different name) on which to run the command.

Options

-database
  Names the Protection Database (copy of the prdb.DB0 file) to check. If the current working directory is not the location of the file, provide a pathname, either full or relative to the current working directory.

-uheader
  Displays information which Ubik maintains in the database's header.

-pheader
  Displays information which the Protection Server maintains in the database's header.

-entries
  Outputs every entry in the database. Some of the information is similar to that returned by the pts examine command.

-verbose
  Reports additional information about the database, including the number of entries in the database and a trace of the internal database structures the command is verifying.

-help
  Prints the online help for this command. All other valid options are ignored.

Output

If there are errors in the database, the output always reports them on the standard error stream. If any options other than -database or -help are provided, the output written to the standard output stream includes additional information as described for each option in the preceding Options section of this reference page. The output is intended for debugging purposes and is meaningful to someone familiar with the internal structure of the Protection Database.

Privilege Required

The issuer must be logged in as the local superuser root.

Related Information

prdb.DB0 and prdb.DBSYS1

bos shutdown

pts examine

ptserver

© IBM Corporation 2000. All Rights Reserved